Get the project's home
GET
/api/orgs/{org}/projects/{project}/home
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/home';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wrktr.com/api/orgs/example/projects/example/home \ --header 'Authorization: Bearer <token>'The default branch: branches in progress with their state, and recent landings.
Authorizations
Section titled “Authorizations”- bearer
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
Responses
Section titled “Responses”ProjectHome
Media typeapplication/json
object
project
required
string
defaultBranch
required
string
inProgress
required
Array<object>
object
name
required
string
head
required
string
experiment
required
boolean
status
required
string
overlaps
required
Array<object>
object
branch
required
string
paths
required
Array<string>
Example
{ "inProgress": [ { "updatedAt": "Infinity", "files": "Infinity", "additions": "Infinity", "deletions": "Infinity", "openThreads": "Infinity", "status": "ready", "review": "approved", "checks": "passed" } ], "landed": [ { "landedAt": "Infinity" } ]}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound
Media typeapplication/json
object
_tag
required
string
project
required
string
Example
{ "_tag": "ProjectNotFound"}